PayIn
List PayIns
This API allows you to fetch a payment links list of customer linked to your app-id. This API is paginated. The default is 20 transactions per page.
GET
/
v3
/
payin_links
List PayIns
curl --request GET \
--url https://api.cleverhub.co/api/v3/payin_links \
--header 'app-id: <api-key>' \
--header 'secret-key: <api-key>'import requests
url = "https://api.cleverhub.co/api/v3/payin_links"
headers = {
"app-id": "<api-key>",
"secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'app-id': '<api-key>', 'secret-key': '<api-key>'}};
fetch('https://api.cleverhub.co/api/v3/payin_links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"records": [
{
"uuid": "HZYN6JUN",
"expires_at": "2025-09-11T00:36:40.181Z",
"payment_url": "https://paylink.cleverhub.co/SFpZTjZKVU4",
"payin_method_code": "null,",
"amount": "10000.0,",
"description": "Test payin",
"external_id": "123456",
"transaction_info": null
},
{
"uuid": "8SXGTYA1",
"expires_at": "2025-08-25T09:12:41.056Z",
"payment_url": "https://paylink.cleverhub.co/OFNYR1RZQTE",
"payin_method_code": "vn_vietqr_vnd",
"amount": "12000.0,",
"description": "Test payin",
"external_id": "123456",
"transaction_info": {
"uuid": "O5T7MS67",
"currency": "VND",
"amount": 12000,
"paid_amount": 0,
"refund_amount": 0,
"status": "pending",
"status_text": "Customer started a new payment but hasn't proceeded yet."
}
}
],
"pagination": {
"page": 1,
"next_page": null,
"size": 20,
"total_pages": 1,
"total_count": 16
}
}{
"errors": {
"code": "REQUIRE_LOGIN",
"message": "Not Authorised"
}
}Authorizations
A unique identifier assigned to each application.
A secure token associated with the app-id.
Query Parameters
Page number to query. Currently we support 20 records per page
Default 20 records per page
Filter payment links by a custom external_id.
⌘I
List PayIns
